package com.jkcredit.invoice.mapper.binvoce;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.SelfCarInvoice;
import com.jkcredit.invoice.model.vo.CompanyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Repository
public interface SelfCarInvoiceMapper extends BaseMapper<SelfCarInvoice> {
    IPage<List<SelfCarInvoice>> selectAllByPage(Page page, @Param("selfCarInvoice") SelfCarInvoice selfCarInvoice);

    @Override
    int insert(SelfCarInvoice record);

    int updateByPrimaryKey(SelfCarInvoice record);

    List<SelfCarInvoice> selectByTrade(String tradeId);
    List<SelfCarInvoice> selectByCardId(String cardId);

    List<SelfCarInvoice> selectByTradeAndInvoiceMakeTime(SelfCarInvoice record);
    List<SelfCarInvoice> selectByCodeAndNum(SelfCarInvoice record);
    int upDateCompany(CompanyVo companyVo);
}
